*{
    padding: 0;
    margin: 0;
}
.header {
    position: fixed; 
    width: 100%; 
    top: 0;
    z-index: 100; 
}

button {
    all: unset;
    cursor: pointer;
}

.blue-header{
    background-color: #10BBD5;
    height: 72px;
    box-sizing: border-box;
    padding: 16px 0;
}

.blue-header-wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo{
    display: flex;
    align-items: center;
    gap: 4px;
    color: #F8FDFE;
    font-family: Cabin;
    font-size: 24px;
    font-weight: 700;
    text-decoration: none;
}

.cart-button{
    display: flex;
    gap: 8px;
    align-items: center;
    color: #F8FDFE;
    font-family: Cabin;
    font-size: 16px;
    font-weight: 400;
    text-decoration: none;
}

.cart {
    position: relative;
    width: 40px;
    height: 40px;
    background-image: url(../images/cart_icon.png); 
}

.cart::after {
    content: '0';
    position: absolute;
    top: 9px;
    left: 19px;
    color: black;
    font-family: Cabin;
    font-size: 12px;
}
.white-header{
    color: black;
    background-color: white;
    font-family: Cabin;
    font-size: 16px;
    font-weight: 400;
    padding: 4px 0;
    line-height: 24px;
}
.white-header-wrapper{
    display: flex;
    justify-content: space-between;
}

.nav-menu ul {
    display: flex;
    list-style: none;
    gap: 40px;
}

.nav-item{
    text-decoration: none;
    color: black;
}

main{
    background-color: #EEEEEF;
    padding-top: 104px;
}
.container{
    width: 1296px;
    margin: 0 auto;
}
.main-title{
    color: #1F1F1F;
    font-family: Cabin;
    font-size: 32px;
    font-weight: 600;
    line-height: 40px;
    padding-top: 32px;
    padding-bottom: 23px;
    border-bottom: 1px solid #A8A8A8;
}

.grid-container{
    display: grid;
    grid-template-columns: repeat(4, 1fr); 
    grid-template-rows: repeat(3, auto); 
    gap: 32px 24px; 
    padding-top: 24px;
    padding-bottom: 120px;
}

.grid-card{
    display: flex;
    flex-direction: column;
    padding: 32px;
    gap: 16px;
    padding-bottom: 20px;
    align-items: center;
    border: 1px solid #A8A8A8;
    background-color: #F8FDFE;
    position: relative;
}


.top-blocks{
    position: absolute;
    top: 32px;
    left: 32px;
    display: flex;
    gap: 4px;
    color: #F8FDFE;
    text-align: center;
    font-family: Cabin;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    list-style: none;
}

.hit{
    border-radius: 4px;
    background-color: #4200FF;
    padding: 4px 8px;
}

.new{
    border-radius: 4px;
    background-color: #AF39E7;
    padding: 4px 8px;
}

.sale{
    border-radius: 4px;
    background: #EA33C0;
    padding: 4px 8px;
}

.card-photo{
    width: 178px;
    height: 280px;
}
.card-info{
    width: 242px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.card-title{
    color: #1F1F1F;
    font-family: Cabin;
    font-size: 20px;
    font-weight: 700;
    line-height: 28px;
    text-decoration: none;
    
}
.card-writer{
    color:#8E8E8E;
    font-family: Cabin;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    border-top: 1px solid #A8A8A8;
    margin-bottom: 8px;
}
.card-price{
    color: #E90000;
    font-family: Cabin;
    font-size: 24px;
    font-weight: 500;
    line-height: 32px;
}
.card-button{
    text-decoration: none;
    display: flex;
    padding: 8px 24px;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    border-radius: 4px;
    color:#F8FDFE;
    text-align: center;
    font-family: Cabin;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.add-to-basket{
    background: #4C394E;
}

.end-up{
    background: #4D762D;
}

.card-old-price{
    color: #8E8E8E;
    font-family: Cabin;
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px;
    text-decoration: 1px line-through;
    margin-left: 24px;
}

.prices-wrapper{
    display: flex;
    align-items: center;
}

.footer{
    background-color: #4C394E;
    height: 88px;
    position: absolute;
    width: 100%;
    color: #F8FDFE;
    font-family: Cabin;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    display: flex;
    align-items: center;
}

.footer-wrapper{
    display: flex;
    justify-content: space-between;

}

.card-button.add-to-basket:hover{
    background-color: #744978;
}

.card-button.end-up:hover{
    background-color: #6DB236;
}

.chat-aside-button{
    width: 64px;
    height: 64px;
    position: fixed;
    top: 260px;
    right: 7px;
}